Docs

Get uncategorized clusters report

GET /api/v1/programmatic/reports/uncategorized-clusters

GET/api/v1/programmatic/reports/uncategorized-clusters
Reportsv1reports:read

Groups uncategorized transactions by similar descriptions.

Code examples

curl --request GET \
  --url 'https://api.tetri.app/api/v1/programmatic/reports/uncategorized-clusters' \
  --header 'Authorization: Bearer $TETRI_API_TOKEN'

Responses

200Complete uncategorized clusters report in a JSON:API resource envelope.
{
  "data": {
    "type": "uncategorized_clusters",
    "id": "<string>",
    "attributes": {
      "analysis_period_end": "2026-07-12",
      "analysis_period_start": "2026-07-12",
      "currency_code": "<string>",
      "currency_symbol": "<string>",
      "analysis_period_months": 0,
      "total_uncategorized_count": 0,
      "clusters": [
        {
          "description_pattern": "<string>",
          "count": 0,
          "total_amount": "<string>",
          "avg_amount": "<string>",
          "last_date": "2026-07-12",
          "sample_transaction_ids": [
            "<string>"
          ],
          "total_amount_agg": {
            "per_currency": [
              {
                "currency_code": "<string>",
                "currency_symbol": "<string>",
                "currency_decimal_places": 0,
                "amount": "<string>",
                "count": 0
              }
            ],
            "home_converted": {
              "currency_code": "<string>",
              "currency_symbol": "<string>",
              "currency_decimal_places": 0,
              "amount": "<string>",
              "fx_partial": false,
              "missing_fx_count": 0,
              "rate_date": "2026-07-12"
            }
          },
          "fx_partial": false,
          "missing_fx_count": 0
        }
      ],
      "fx_partial": false,
      "missing_fx_count": 0
    },
    "window": {
      "applied_months": 0,
      "earliest_visible_date": "2026-07-12",
      "plan": "free",
      "requested_range": "recent",
      "truncated_by_plan": false
    }
  }
}
400Request parameters or payload failed validation. Inspect `code` and `message`.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}
401The personal access token is missing, invalid, expired, or revoked.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}
403The token lacks the required scope or no longer has workspace access.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}
429The credential exceeded its request rate limit.
{
  "statusCode": 400,
  "code": "PROGRAMMATIC_PAGINATION_MODE_CONFLICT",
  "message": "<string>",
  "error": "Bad Request",
  "request_id": "8cf64dcc-0f73-4f8d-a845-3d80c1040475"
}